Package org.apache.wiki.providers

# Class FileSystemProvider

java.lang.Object
org.apache.wiki.providers.AbstractFileProvider
org.apache.wiki.providers.FileSystemProvider

All Implemented Interfaces:
  `org.apache.wiki.api.providers.PageProvider`, `org.apache.wiki.api.providers.WikiProvider`

public class FileSystemProvider extends AbstractFileProvider
Provides a simple directory based repository for Wiki pages.

All files have ".txt" appended to make life easier for those who insist on using Windows or other software which makes assumptions on the files contents based on its name.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.wiki.providers.AbstractFileProvider

`AbstractFileProvider.WikiFileFilter`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_EXT`
All metadata is stored in a file with this extension.

### Fields inherited from class org.apache.wiki.providers.AbstractFileProvider

`DEFAULT_ENCODING, DEFAULT_MAX_PROPKEYLENGTH, DEFAULT_MAX_PROPLIMIT, DEFAULT_MAX_PROPVALUELENGTH, FILE_EXT, m_encoding, m_engine, MAX_PROPKEYLENGTH, MAX_PROPLIMIT, MAX_PROPVALUELENGTH, PROP_CUSTOMPROP_MAXKEYLENGTH, PROP_CUSTOMPROP_MAXLIMIT, PROP_CUSTOMPROP_MAXVALUELENGTH, PROP_PAGEDIR`

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

## Constructor Summary

Constructors
Constructor
Description
`FileSystemProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`deletePage(String pageName)`
`org.apache.wiki.api.core.Page`
`getPageInfo(String page, int version)`
Always returns the latest version, since FileSystemProvider does not support versioning.
`void`
`movePage(String from, String to)`
`void`
`putPageText(org.apache.wiki.api.core.Page page, String text)`

### Methods inherited from class org.apache.wiki.providers.AbstractFileProvider

`addCustomProperties, deleteVersion, deobfuscate, findPage, findPages, getAllChangedSince, getAllPages, getCustomProperties, getPageCount, getPageText, getProviderInfo, getVersionHistory, initialize, mangleName, obfuscate, pageExists, pageExists, setCustomProperties, unmangleName, validateCustomPageProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROP_EXT

public static final String PROP_EXT
All metadata is stored in a file with this extension.

See Also:
  - Constant Field Values

## Constructor Details

### FileSystemProvider

public FileSystemProvider()

## Method Details

### putPageText

public void putPageText(org.apache.wiki.api.core.Page page, String text) throws org.apache.wiki.api.exceptions.ProviderException

Specified by:
  `putPageText` in interface `org.apache.wiki.api.providers.PageProvider`
Overrides:
  `putPageText` in class `AbstractFileProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### getPageInfo

public org.apache.wiki.api.core.Page getPageInfo(String page, int version) throws org.apache.wiki.api.exceptions.ProviderException
Always returns the latest version, since FileSystemProvider does not support versioning.

Specified by:
  `getPageInfo` in interface `org.apache.wiki.api.providers.PageProvider`
Overrides:
  `getPageInfo` in class `AbstractFileProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### deletePage

public void deletePage(String pageName) throws org.apache.wiki.api.exceptions.ProviderException

Specified by:
  `deletePage` in interface `org.apache.wiki.api.providers.PageProvider`
Overrides:
  `deletePage` in class `AbstractFileProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### movePage

public void movePage(String from, String to) throws org.apache.wiki.api.exceptions.ProviderException

Throws:
  `org.apache.wiki.api.exceptions.ProviderException`